package rbxbin

// This file is generated by dirgen. DO NOT EDIT.

import (
	"github.com/apprehensions/rbxweb/clientsettings"
)

// BinaryDirectories retrieves the PackageDirectories for the given binary.
func BinaryDirectories(bt clientsettings.BinaryType) PackageDirectories {
	switch bt {
	case clientsettings.WindowsPlayer:
		return PlayerDirectories
	case clientsettings.WindowsStudio64:
		return StudioDirectories
	default:
		panic("unhandled binary type " + string(bt) + "for dirs")
	}
}

var PlayerDirectories = PackageDirectories{
	// Ordered based on how they appear in JSON binary form
	"content-avatar.zip":            "content/avatar",
	"content-sky.zip":               "content/sky",
	"content-sounds.zip":            "content/sounds",
	"content-textures2.zip":         "content/textures",
	"content-platform-fonts.zip":    "PlatformContent/pc/fonts",
	"WebView2.zip":                  ".",
	"content-configs.zip":           "content/configs",
	"content-terrain.zip":           "PlatformContent/pc/terrain",
	"shaders.zip":                   "shaders",
	"WebView2RuntimeInstaller.zip":  "WebView2RuntimeInstaller",
	"extracontent-textures.zip":     "ExtraContent/textures",
	"ssl.zip":                       "ssl",
	"content-fonts.zip":             "content/fonts",
	"content-models.zip":            "content/models",
	"content-textures3.zip":         "PlatformContent/pc/textures",
	"extracontent-luapackages.zip":  "ExtraContent/LuaPackages",
	"extracontent-translations.zip": "ExtraContent/translations",
	"extracontent-models.zip":       "ExtraContent/models",
	"RobloxApp.zip":                 ".",
	"extracontent-places.zip":       "ExtraContent/places",
}

var StudioDirectories = PackageDirectories{
	// Ordered based on how they appear in JSON binary form
	"extracontent-scripts.zip":        "ExtraContent/scripts",
	"extracontent-luapackages.zip":    "ExtraContent/LuaPackages",
	"LibrariesQt5.zip":                ".",
	"Plugins.zip":                     "Plugins",
	"StudioFonts.zip":                 "StudioFonts",
	"content-sounds.zip":              "content/sounds",
	"content-textures2.zip":           "content/textures",
	"content-platform-fonts.zip":      "PlatformContent/pc/fonts",
	"WebView2.zip":                    ".",
	"content-models.zip":              "content/models",
	"content-api-docs.zip":            "content/api_docs",
	"extracontent-models.zip":         "ExtraContent/models",
	"content-studio_svg_textures.zip": "content/studio_svg_textures",
	"Qml.zip":                         "Qml",
	"content-avatar.zip":              "content/avatar",
	"content-configs.zip":             "content/configs",
	"content-sky.zip":                 "content/sky",
	"WebView2RuntimeInstaller.zip":    "WebView2RuntimeInstaller",
	"ApplicationConfig.zip":           "ApplicationConfig",
	"content-textures3.zip":           "PlatformContent/pc/textures",
	"BuiltInPlugins.zip":              "BuiltInPlugins",
	"redist.zip":                      ".",
	"shaders.zip":                     "shaders",
	"ssl.zip":                         "ssl",
	"extracontent-textures.zip":       "ExtraContent/textures",
	"content-qt_translations.zip":     "content/qt_translations",
	"extracontent-translations.zip":   "ExtraContent/translations",
	"content-terrain.zip":             "PlatformContent/pc/terrain",
	"BuiltInStandalonePlugins.zip":    "BuiltInStandalonePlugins",
	"RobloxStudio.zip":                ".",
	"Libraries.zip":                   ".",
	"content-fonts.zip":               "content/fonts",
}
